Несколько уязвимостей в Firefly Media Server

Дата публикации:
17.01.2008
Дата изменения:
17.01.2008
Всего просмотров:
1058
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-5824
CVE-2007-5825
Вектор эксплуатации:
Локальная сеть
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Gentoo Linux 1.x
Уязвимые версии: Firefly Media Server (mt-daapd) версии до 0.2.4.1

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки разыменования нулевого указателя при обработке некоторых заголовков в файле webserver.c. Удаленный пользователь может с помощью специально сформированного аутентификационного заголовка аварийно завершить работу демона.

2. Уязвимость форматной строки обнаружена в функции "ws_dispatcher()" в файле webserver.c. Удаленный пользователь может с помощью специально сформированного аутентификационного заголовка аварийно завершить работу демона или выполнить произвольный код на целевой системе.

URL производителя: www.fireflymediaserver.org

Решение: Установите последнюю версию 0.2.4.1 с сайта производителя.

или введите имя

CAPTCHA